/*

	Rasta Definitions

*/
/*	This program is copyrighted by Autodesk, Inc. and is
	furnished pursuant to a software license agreement.  The
	source code of this program may not be distributed or
	published in any form by the licensee.	Licensee is free to
	incorporate this code in object form in derivative works
	providing such derivative works are solely intended to work
	with Autodesk, Inc. products.  Said derivative works,
	incorporating object versions of this program may be
	distributed without royalty at the discretion of the licensee.

	Autodesk makes no warranties, express or implied, as to the
	correctness of this code or any derivative works which
        incorporate it.  Autodesk provides this code on an ``as-is''
	basis and explicitly disclaims any liability, express or
	implied, for errors, omissions, and other problems in the
	code, including consequential and incidental damages.

*/

#define MAXVERT 10		   /*  Maximum vertices in polygon  */

typedef short scrcoord; 	   /* Screen coordinates */
#define HIGHSCRC 32767		   /* Largest scrcoord value */

/* Screen point */

struct spoint {
	scrcoord x, y;
};

/* Screen polygon */

struct spolygon { 
	short pcolour[3];	   /* Colour code */
	short npoints;		   /* Number of points in polygon */
	scrcoord pymin, pymax;	   /* Y extents of points in polygon */
	struct spoint pt[MAXVERT + 1]; /* Actual points */
};
